@echo off

echo.
if not exist ..\..\holywars\nul goto not_installed
if not exist ..\..\holywars\liblist.gam goto not_installed

if exist ..\..\holywars\old_liblist.gam goto already_installed

echo copying liblist.gam to holywars\liblist.gam
copy liblist.gam ..\..\holywars\liblist.gam
echo copying old_liblist.gam to holywars\old_liblist.gam
copy old_liblist.gam ..\..\holywars\old_liblist.gam

echo.
echo copying HPB_bot.cfg to holywars\HPB_bot.cfg
copy HPB_bot.cfg ..\..\holywars\HPB_bot.cfg
echo copying HPB_bot_names.txt to holywars\HPB_bot_names.txt
copy ..\HPB_bot_names.txt ..\..\holywars\HPB_bot_names.txt
echo copying HPB_bot_chat.txt to holywars\HPB_bot_chat.txt
copy ..\HPB_bot_chat.txt ..\..\holywars\HPB_bot_chat.txt
echo copying HPB_bot_logo.cfg to holywars\HPB_bot_logo.cfg
copy ..\HPB_bot_logo.cfg ..\..\holywars\HPB_bot_logo.cfg

echo.
echo copying *.HPB_wpt to holywars\maps
copy *.HPB_wpt ..\..\holywars\maps

echo.
echo copying HPB_bot.dll to holywars\dlls\HPB_bot.dll
copy ..\HPB_bot.dll ..\..\holywars\dlls
echo.
echo.
echo INSTALL COMPLETED SUCCESSFULLY!
goto done

:not_installed
echo HolyWars is NOT installed (or is in an unknown directory)
echo.
echo Installation unsucessfull!
goto done

:already_installed
echo HPB bot add-on for HolyWars is ALREADY installed!
echo.
echo (Please run REMOVE then try running INSTALL again)
goto done

:done
echo.
echo.
pause
